Subject: Re: bug#20391: 24.5; Info-menu completing-read doesn't use DEF argument

From: Stefan Monnier <[email-masked]>
Date: Mon, 27 Apr 2015 00:55:32 -0400

Version:25.1

> The Info-menu command in info.el uses completing-read but doesn't use the
> DEF argument. As a result, helm fails to choose the right default
> when invoked on an info menu line.

> Doing the obvious and appending "nil nil default" to completing-read
> in the Info-menu call did solve the problem for me with helm and did
> seem to still work without helm, but I'm not completely confident it's
> the correct thing. 

It looks correct, so that's what I installed.  Thank you.

> The next few lines of Info-menu say it's depending on completing-read
> allowing "" even when require-match is t and "" is invalid, but it just
> seems to be doing so to loop back to read another input.

I think this code can now be simplified, but I wasn't in the mood, so
I left it as is for now.

        Stefan